Ryzom - Bug # 1062

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 08/05/2010 Assignee: rti
Updated: 11/05/2010 Due date:

Subiject: Fullscreen with game resolution < desktop resolution

Description

When in fullscreen mode, and the game resolution is below the desktop resolution and APPLE+Tabbing to another application, the
rendering is not scaled to full screen size anymore, creating artifacts at the border regions. Reactivating the game rescales the
rendering as expected, it just happens as long as the application is not the active one.

History

#1 - 08/13/2010 03:12 pm - rti

This seems to depend on the back buffer resolution which was active when entering fullscreen mode...

Start in fullscreen

Apple+Tab -> Ok

Change resolution

Apple+Tab -> Wrong scaling of rendered image
Change to windowed and back to fullscreen
Apple+Tab -> Ok

#2 - 08/13/2010 04:14 pm - rti
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r636.

#3 - 08/13/2010 04:21 pm - rti

Seems like only the first back buffer size setting after entering fullscreen mode does not have this side effect :(
Automatically leaving and re-entering fullscreen mode before updating back buffer size fixed the problem (r636).
#4 - 08/13/2010 04:21 pm - rti

- Assignee set to rti

#5 - 11/05/2010 02:36 pm - rti

- Status changed from Resolved to Closed

- Target version changed from Version 0.9.0 to Version 0.8.0
